
-----DEBUG CONTROL--------------------------------------------------------------

debug_output = true -- true/false --display debug messages in the console

-----DISPLAY CONSOLE MESSAGE----------------------------------------------------

-- Display a message in the console for debugging, message can be a number variable
-- or a string but not mixed. No line feed character is added.
function Msg(value)
  --returns nothing

  if debug_output then --check if flag is set true (at the start of this script)
    reaper.ShowConsoleMsg(tostring(value) )
  end
end


local dm, _ = debug_mode  
local function Msg(str)
  reaper.ShowConsoleMsg(tostring(str).."\n")
end

--Msg("Start")

cursor_pos = reaper.GetCursorPosition()

Msg("Cursor Position "..cursor_pos)

commandID1 = reaper.NamedCommandLookup("_RS8271ddb3a652d6fe57b7abc7efadff407c8da2d0")
    reaper.Main_OnCommand(commandID1, 0) --Script: ReaTrak move edit cursor to start of project.lua

commandID2 = reaper.NamedCommandLookup("_XENAKIOS_SELFIRSTITEMSOFTRACKS")
    reaper.Main_OnCommand(commandID2, 0) --Xenakios Extensions : Select first item(s) of selected track(s)
      goto check
    
    
::check::     
  item = reaper.GetSelectedMediaItem(0,0)
  --if not chord or #chord == 0 then
  if item == nil then goto finish end
  take = reaper.GetMediaItemTake(item, 0)

  takename = reaper.GetTakeName(take)
 -- Msg("Take Name :"..takename)
   --if = string.find(takename, "-D,?(%d*)", 1, true) -- set to check for -D1 or -D2 1 bar or 2 bar decay
   if string.match(takename, "-D1", 1, true) then goto decay1 end
   if string.match(takename, "-D2", 1, true) then goto decay2 end
   if string.match(takename, "-D", 1, true) then goto decay end
   
  reaper.Main_OnCommand(40289, 0) --Item: Unselect all items
  reaper.Main_OnCommand(40417, 0) --Item navigation: Select and move to next item
   
  goto check


::decay1::
--Msg("1 Bar Decay set on:"..takename)

-- MODIFY TAKE
--newtakename =""
newtakename = string.gsub(takename, "-D1", "") 
retval, stringNeedBig = reaper.GetSetMediaItemTakeInfo_String(take, "P_NAME", newtakename, 1)

reaper.Main_OnCommand(40319, 0) --Item navigation: Move cursor right to edge of item
reaper.Main_OnCommand(41042, 0) --Move edit cursor forward one measure
--reaper.Main_OnCommand(41042, 0) --Move edit cursor forward one measure
reaper.Main_OnCommand(41045, 0) --Move edit cursor back one beat
reaper.Main_OnCommand(40611, 0) --Item: Set item end to cursor

 
 
commandID3 = reaper.NamedCommandLookup("_XENAKIOS_SELITEMSUNDEDCURSELTX")
    reaper.Main_OnCommand(commandID3, 0) -- Xenakios Extensions : Select items under edit cursor on selected tracks _XENAKIOS_SELITEMSUNDEDCURSELTX

commandID4 = reaper.NamedCommandLookup("_eb97fc0933296c48a1ddfff48d6c3f22")
    reaper.Main_OnCommand(commandID4, 0) -- Custom: ReaTrak remove crossfade
    
    

  reaper.Main_OnCommand(40289, 0) --Item: Unselect all items
  reaper.Main_OnCommand(40417, 0) --Item navigation: Select and move to next item   
  reaper.Main_OnCommand(40416, 0) --Item navigation: Select and move to previous item
    
    
goto check


::decay2::
--Msg("2 Bar Decay set on:"..takename)

-- MODIFY TAKE
--newtakename =""
newtakename = string.gsub(takename, "-D2", "")
retval, stringNeedBig = reaper.GetSetMediaItemTakeInfo_String(take, "P_NAME", newtakename, 1)

reaper.Main_OnCommand(40319, 0) --Item navigation: Move cursor right to edge of item
reaper.Main_OnCommand(41042, 0) --Move edit cursor forward one measure
reaper.Main_OnCommand(41042, 0) --Move edit cursor forward one measure
reaper.Main_OnCommand(41045, 0) --Move edit cursor back one beat
reaper.Main_OnCommand(40611, 0) --Item: Set item end to cursor


 
 
commandID3 = reaper.NamedCommandLookup("_XENAKIOS_SELITEMSUNDEDCURSELTX")
    reaper.Main_OnCommand(commandID3, 0) -- Xenakios Extensions : Select items under edit cursor on selected tracks _XENAKIOS_SELITEMSUNDEDCURSELTX

commandID4 = reaper.NamedCommandLookup("_eb97fc0933296c48a1ddfff48d6c3f22")
    reaper.Main_OnCommand(commandID4, 0) -- Custom: ReaTrak remove crossfade
    
  reaper.Main_OnCommand(40289, 0) --Item: Unselect all items
  --reaper.Main_OnCommand(40417, 0) --Item navigation: Select and move to next item
  --reaper.Main_OnCommand(41044, 0) --Move edit cursor forward one beat  
  reaper.Main_OnCommand(41043, 0) --Move edit cursor back one measure
  reaper.Main_OnCommand(41043, 0) --Move edit cursor back one measure
commandID5 = reaper.NamedCommandLookup("_XENAKIOS_SELITEMSUNDEDCURSELTX")
    reaper.Main_OnCommand(commandID5, 0) -- Xenakios Extensions : Select items under edit cursor on selected tracks _XENAKIOS_SELITEMSUNDEDCURSELTX
      
reaper.Main_OnCommand(40417, 0) --Item navigation: Select and move to previous item          
    
goto check


::decay::
--Msg("Decay set on:"..takename)

-- MODIFY TAKE
--newtakename =""
newtakename = string.gsub(takename, "-D", "")
retval, stringNeedBig = reaper.GetSetMediaItemTakeInfo_String(take, "P_NAME", newtakename, 1)

reaper.Main_OnCommand(40319, 0) --Item navigation: Move cursor right to edge of item
reaper.Main_OnCommand(41042, 0) --Move edit cursor forward one measure
reaper.Main_OnCommand(41042, 0) --Move edit cursor forward one measure
reaper.Main_OnCommand(41045, 0) --Move edit cursor back one beat
reaper.Main_OnCommand(40611, 0) --Item: Set item end to cursor

 
 
commandID3 = reaper.NamedCommandLookup("_XENAKIOS_SELITEMSUNDEDCURSELTX")
    reaper.Main_OnCommand(commandID3, 0) -- Xenakios Extensions : Select items under edit cursor on selected tracks _XENAKIOS_SELITEMSUNDEDCURSELTX

commandID4 = reaper.NamedCommandLookup("_eb97fc0933296c48a1ddfff48d6c3f22")
    reaper.Main_OnCommand(commandID4, 0) -- Custom: ReaTrak remove crossfade
    
  reaper.Main_OnCommand(40289, 0) --Item: Unselect all items
  --reaper.Main_OnCommand(40417, 0) --Item navigation: Select and move to next item
  --reaper.Main_OnCommand(41044, 0) --Move edit cursor forward one beat  
  reaper.Main_OnCommand(41043, 0) --Move edit cursor back one measure
  reaper.Main_OnCommand(41043, 0) --Move edit cursor back one measure
commandID5 = reaper.NamedCommandLookup("_XENAKIOS_SELITEMSUNDEDCURSELTX")
    reaper.Main_OnCommand(commandID5, 0) -- Xenakios Extensions : Select items under edit cursor on selected tracks _XENAKIOS_SELITEMSUNDEDCURSELTX
      
reaper.Main_OnCommand(40417, 0) --Item navigation: Select and move to previous item     
    
goto check


::finish::
Msg("Move Cursor to "..cursor_pos)
reaper.SetEditCurPos(cursor_pos, true, true)

--commandID1 = reaper.NamedCommandLookup("_RS8271ddb3a652d6fe57b7abc7efadff407c8da2d0")
--    reaper.Main_OnCommand(commandID1, 0) --Script: ReaTrak move edit cursor to start of project.lua
--Msg("Finished")



